petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDLLibraryAppend

Appends another dynamic link library to the seach list, to the end of the search path.

### Synopsis

    PetscErrorCode  PetscDLLibraryAppend(MPI_Comm comm,PetscDLLibrary *outlist,const char path[])

Collective on MPI_Comm Many br

### Input Parameters

| comm | - MPI communicator Many br
| path | - name of the library Many br

### Output Parameter

outlist -list of libraries Many br

Many br

Notes: if library is already in path will not add it. Many br

If the library has the symbol PetscDLLibraryRegister_basename() in it then that function is automatically run Many brwhen the library is opened. Many br

### See Also

PetscDLLibraryOpen()

Level:developer
Location:src/sys/dll/dl.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex28.c.html